#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-3oyDnZ2F2Lr4MeGopZgQWj
key:                  persistent-test-2.13.1.3-3oyDnZ2F2Lr4MeGopZgQWj
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  8753bbe6cba26c347cf975da5d79efce
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-3oyDnZ2F2Lr4MeGopZgQWj
depends:
    HUnit-1.6.2.0-DUvlqmsw2Kp6tCDRl9WtXA
    QuickCheck-2.14.3-1OQe8vVNhDx8BJsM0dw2LX
    aeson-2.1.2.1-8bwKrGTS6zMBpBkx7W0Lha base-4.17.2.1
    blaze-html-0.9.2.0-AWaFw2Mn1VJABJRaM77GAU bytestring-0.11.5.3
    conduit-1.3.6.1-8OSOdkGtcaZ23KS6p4zYxn containers-0.6.7
    exceptions-0.10.5 hspec-2.10.9-Ib14HRAVSoD3Pk7WuqvYbv
    hspec-expectations-0.8.3-ByiC9PUirWlDy5uDUGE568
    http-api-data-0.5.1-FTt64LliRb3BgFHOGDXpD
    monad-control-1.0.3.1-Dgt1Y0D9g7dHiYVRcvJzpl
    monad-logger-0.3.42-AOmdYmtqSLr2aUSNcF072L mtl-2.2.2
    path-pieces-0.2.1-3XB1w9Pq9G55ySSfgWLsAv
    persistent-2.14.5.1-F1OfYM8TxG13Jpl0X2prCU
    quickcheck-instances-0.3.30-IJhfpXySmhG4PSQoRSKaha
    random-1.2.1.2-8zs3ZWfUMfhHEc0bNUHZYO
    resourcet-1.2.6-IR3DRlFbTBCF0v7kVv51R text-2.0.2 time-1.12.2
    transformers-0.5.6.2 transformers-base-0.4.6-CxMZTBPVjjqLtNtLFSFzT2
    unliftio-0.2.25.1-D6Zxr8KhD2OD5ETZKVKrKx
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-FElyfgrInnoGRvt4L8NT29

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

